# Uses of Enum Class
org.apache.sysds.lops.WeightedUnaryMM.WUMMType

Packages that use WeightedUnaryMM.WUMMType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of WeightedUnaryMM.WUMMType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return WeightedUnaryMM.WUMMType
Modifier and Type
Method
Description
`static WeightedUnaryMM.WUMMType`
WeightedUnaryMM.WUMMType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedUnaryMM.WUMMType[]`
WeightedUnaryMM.WUMMType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type WeightedUnaryMM.WUMMType
Modifier
Constructor
Description
``
`WeightedUnaryMM(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, Types.ExecType et)`
``
`WeightedUnaryMMR(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of WeightedUnaryMM.WUMMType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type WeightedUnaryMM.WUMMType
Modifier and Type
Method
Description
`static void`
LibMatrixMult.`matrixMultWuMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock ret, WeightedUnaryMM.WUMMType wt, ValueFunction fn)`
`static void`
LibMatrixMult.`matrixMultWuMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock ret, WeightedUnaryMM.WUMMType wt, ValueFunction fn, int k)`

## Uses of WeightedUnaryMM.WUMMType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as WeightedUnaryMM.WUMMType
Modifier and Type
Field
Description
`final WeightedUnaryMM.WUMMType`
QuaternaryOperator.`wtype5`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type WeightedUnaryMM.WUMMType
Modifier
Constructor
Description
``
`QuaternaryOperator(WeightedUnaryMM.WUMMType wt, String op)`
wumm